<template>
    <div class="container-fluid">
        <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="header">
                        <h2>
                            Add New Sub-Sub-Category
                        </h2>
                    </div>
                    <div class="body">
                        <form action="javascript:void(0)" ref="addCategory" @submit="sent" method="post">
                            <div class="row clearfix">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <label for="categories">Category</label>
                                            <select required v-model="category" @change="subCategory" id="categories" name="category_id" class="form-control">
                                                <option :value="null">Select One</option>
                                                <option v-for="category in categories" :value="category.id">{{category.name}}</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="form-line">
                                            <label for="sub_categories">Sub Category</label>
                                            <select required id="sub_categories" name="sub_category_id" class="form-control">
                                                <option :value="null">Select One</option>
                                                <option v-for="sub_category in sub_categories" :value="sub_category.id">{{sub_category.name}}</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="form-line">
                                            <label for="name">Sub Sub Categories</label>
                                            <input required type="text" name="name" id="name" class="form-control" placeholder="Name" />
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div>
                                            <a class="btn btn-danger m-t-15 waves-effect" @click="senderPage('subCategoryView')">Back</a>
                                            <input type="submit" value="Add" class="btn btn-primary"/>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!-- #END# Input -->
    </div>
</template>
<script>
    export default {
        data() {
            return{
                category:null,
                categories:{},
                sub_categories:{},
            }
        },
        created(){
            this.getCategory();
        },
        methods:{
            getCategory(){
                axios.get('/admin/category').then((response)=>{
                    this.categories=response.data;
                    //console.log(response.data);
                }).catch((error)=>{
                    this.categories={};
                    this.category=null;
                });
            },
            subCategory(){
                axios.get(`product/sub/category/${this.category}`).then((response)=>{
                    this.sub_categories=response.data;
                }).catch((error)=>{
                    this.sub_categories={};
                });
            },
            senderPage(text){
                this.$emit('sent',text);
            },
            sent(e){
                e.preventDefault();
                axios.post('/admin/sub/sub/category/add',new FormData(this.$refs.addCategory)).then((response)=>{
                    this.$toaster.success(response.data);
                    $('#name').val('');
                }).catch((error)=>{
                    if (error.response.status === 422) this.$toaster.error(error.response.data.errors);
                    else this.$toaster.error(error);
                });
            }
        }
    }
</script>
